<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_112) on Sun Aug 29 12:47:13 CEST 2021 -->
<title>LoadSaveFiles</title>
<meta name="date" content="2021-08-29">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="LoadSaveFiles";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/LoadSaveFiles.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../de/rowlo/tridchess/model/trid/Game.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../de/rowlo/tridchess/model/trid/LoadSaveFiles.DefaultFileFilter.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?de/rowlo/tridchess/model/trid/LoadSaveFiles.html" target="_top">Frames</a></li>
<li><a href="LoadSaveFiles.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">de.rowlo.tridchess.model.trid</div>
<h2 title="Class LoadSaveFiles" class="title">Class LoadSaveFiles</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>de.rowlo.tridchess.model.trid.LoadSaveFiles</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">LoadSaveFiles</span>
extends java.lang.Object</pre>
<div class="block">Saves and loads Tri-D chess games.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Robert Wloch</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/LoadSaveFiles.DefaultFileFilter.html" title="class in de.rowlo.tridchess.model.trid">LoadSaveFiles.DefaultFileFilter</a></span></code>
<div class="block">A simple FileFilter.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/LoadSaveFiles.html#LoadSaveFiles-de.rowlo.tridchess.model.trid.Game-">LoadSaveFiles</a></span>(<a href="../../../../../de/rowlo/tridchess/model/trid/Game.html" title="class in de.rowlo.tridchess.model.trid">Game</a>&nbsp;game)</code>
<div class="block">Creates a new game saver/loader.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/model/trid/Game.html" title="class in de.rowlo.tridchess.model.trid">Game</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/LoadSaveFiles.html#getGame--">getGame</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/LoadSaveFiles.html#loadFormation--">loadFormation</a></span>()</code>
<div class="block">Loads a formation from a properties file.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.Map&lt;java.lang.String,java.lang.Object&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/LoadSaveFiles.html#loadFormation-java.util.Properties-">loadFormation</a></span>(java.util.Properties&nbsp;properties)</code>
<div class="block">Loads a formation from a Properties object.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.util.Map&lt;java.lang.String,java.lang.Object&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/LoadSaveFiles.html#loadFormation-java.lang.String-">loadFormation</a></span>(java.lang.String&nbsp;filePath)</code>
<div class="block">Loads a formation from a Properties files.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/LoadSaveFiles.html#loadGame--">loadGame</a></span>()</code>
<div class="block">Loads a game.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.util.Map&lt;java.lang.Integer,<a href="../../../../../de/rowlo/tridchess/model/trid/PlainMove.html" title="class in de.rowlo.tridchess.model.trid">PlainMove</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/LoadSaveFiles.html#loadMoveLog-java.util.Properties-">loadMoveLog</a></span>(java.util.Properties&nbsp;properties)</code>
<div class="block">Loads a move log from a Properties object.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/LoadSaveFiles.html#loadMoveLog-java.lang.String-">loadMoveLog</a></span>(java.lang.String&nbsp;filePath)</code>
<div class="block">
 Loads a move log from a properties file.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.util.Properties</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/LoadSaveFiles.html#loadProperties-java.lang.String-">loadProperties</a></span>(java.lang.String&nbsp;fileName)</code>
<div class="block">Loads a properties file.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/LoadSaveFiles.html#saveFormation--">saveFormation</a></span>()</code>
<div class="block">Saves the current formation to a file displaying a dialog to choose a file
 name.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/LoadSaveFiles.html#saveFormation-boolean-java.util.Properties-java.lang.String-">saveFormation</a></span>(boolean&nbsp;displayDialog,
             java.util.Properties&nbsp;properties,
             java.lang.String&nbsp;path)</code>
<div class="block">Saves a formation to a file with a default name containing date and time.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/LoadSaveFiles.html#saveGame--">saveGame</a></span>()</code>
<div class="block">Saves the current game.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/LoadSaveFiles.html#saveMoveLog--">saveMoveLog</a></span>()</code>
<div class="block">Saves the list of game Moves done so far to a file displaying a dialog to
 choose a file name.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/LoadSaveFiles.html#saveMoveLog-boolean-java.lang.String-">saveMoveLog</a></span>(boolean&nbsp;displayDialog,
           java.lang.String&nbsp;path)</code>
<div class="block">Saves the list of game Moves done so far to a file with a default name
 containing date and time.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="LoadSaveFiles-de.rowlo.tridchess.model.trid.Game-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>LoadSaveFiles</h4>
<pre>public&nbsp;LoadSaveFiles(<a href="../../../../../de/rowlo/tridchess/model/trid/Game.html" title="class in de.rowlo.tridchess.model.trid">Game</a>&nbsp;game)</pre>
<div class="block">Creates a new game saver/loader.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>game</code> - the Game for loading into and saving from.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="saveGame--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveGame</h4>
<pre>public&nbsp;void&nbsp;saveGame()</pre>
<div class="block">Saves the current game.</div>
</li>
</ul>
<a name="loadGame--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadGame</h4>
<pre>public&nbsp;void&nbsp;loadGame()</pre>
<div class="block">Loads a game.</div>
</li>
</ul>
<a name="saveMoveLog--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveMoveLog</h4>
<pre>public&nbsp;java.lang.String&nbsp;saveMoveLog()</pre>
<div class="block">Saves the list of game Moves done so far to a file displaying a dialog to
 choose a file name.</div>
</li>
</ul>
<a name="saveMoveLog-boolean-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveMoveLog</h4>
<pre>public&nbsp;java.lang.String&nbsp;saveMoveLog(boolean&nbsp;displayDialog,
                                    java.lang.String&nbsp;path)</pre>
<div class="block">Saves the list of game Moves done so far to a file with a default name
 containing date and time. There will be no dialog for choosing a file
 name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>displayDialog</code> - true to show file chooser dialog</dd>
<dd><code>path</code> - the base path where to save the file</dd>
</dl>
</li>
</ul>
<a name="loadMoveLog-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadMoveLog</h4>
<pre>public&nbsp;void&nbsp;loadMoveLog(java.lang.String&nbsp;filePath)</pre>
<div class="block"><p>
 Loads a move log from a properties file.
 </p>
 <p>
 It is required that the current board's formation is the base of the move
 sequence being loaded!
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>filePath</code> - path to the properties file</dd>
</dl>
</li>
</ul>
<a name="loadMoveLog-java.util.Properties-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadMoveLog</h4>
<pre>public&nbsp;java.util.Map&lt;java.lang.Integer,<a href="../../../../../de/rowlo/tridchess/model/trid/PlainMove.html" title="class in de.rowlo.tridchess.model.trid">PlainMove</a>&gt;&nbsp;loadMoveLog(java.util.Properties&nbsp;properties)</pre>
<div class="block">Loads a move log from a Properties object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>properties</code> - move log as Properties</dd>
</dl>
</li>
</ul>
<a name="saveFormation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveFormation</h4>
<pre>public&nbsp;java.lang.String&nbsp;saveFormation()</pre>
<div class="block">Saves the current formation to a file displaying a dialog to choose a file
 name.</div>
</li>
</ul>
<a name="saveFormation-boolean-java.util.Properties-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveFormation</h4>
<pre>public&nbsp;java.lang.String&nbsp;saveFormation(boolean&nbsp;displayDialog,
                                      java.util.Properties&nbsp;properties,
                                      java.lang.String&nbsp;path)</pre>
<div class="block">Saves a formation to a file with a default name containing date and time.
 There will be no dialog for choosing a file name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>displayDialog</code> - true to show file chooser dialog</dd>
<dd><code>properties</code> - formation to be saved as Properties object</dd>
<dd><code>path</code> - the base path where to save the file</dd>
</dl>
</li>
</ul>
<a name="loadFormation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadFormation</h4>
<pre>public&nbsp;void&nbsp;loadFormation()</pre>
<div class="block">Loads a formation from a properties file. Shows a dialog to choose the
 file.</div>
</li>
</ul>
<a name="loadFormation-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadFormation</h4>
<pre>public&nbsp;java.util.Map&lt;java.lang.String,java.lang.Object&gt;&nbsp;loadFormation(java.lang.String&nbsp;filePath)</pre>
<div class="block">Loads a formation from a Properties files.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>filePath</code> - path to formation properties file</dd>
</dl>
</li>
</ul>
<a name="loadFormation-java.util.Properties-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadFormation</h4>
<pre>public&nbsp;java.util.Map&lt;java.lang.String,java.lang.Object&gt;&nbsp;loadFormation(java.util.Properties&nbsp;properties)</pre>
<div class="block">Loads a formation from a Properties object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>properties</code> - formation as Properties</dd>
</dl>
</li>
</ul>
<a name="loadProperties-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadProperties</h4>
<pre>public&nbsp;java.util.Properties&nbsp;loadProperties(java.lang.String&nbsp;fileName)</pre>
<div class="block">Loads a properties file.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fileName</code> - path with name of the properties file</dd>
</dl>
</li>
</ul>
<a name="getGame--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getGame</h4>
<pre>public&nbsp;<a href="../../../../../de/rowlo/tridchess/model/trid/Game.html" title="class in de.rowlo.tridchess.model.trid">Game</a>&nbsp;getGame()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the game</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/LoadSaveFiles.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../de/rowlo/tridchess/model/trid/Game.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../de/rowlo/tridchess/model/trid/LoadSaveFiles.DefaultFileFilter.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?de/rowlo/tridchess/model/trid/LoadSaveFiles.html" target="_top">Frames</a></li>
<li><a href="LoadSaveFiles.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
